import { DIFF, ROLL_TYPE_COMP } from "./roll-constants.mjs"
import { RollType } from "./roll-type.mjs"

export class RollTypeComp extends RollType {
  get code() { return ROLL_TYPE_COMP }
  get name() { return `Jet de caractéristique / compétence` }

  title(rollData) {
    if (rollData.type.label) {
      return rollData.type.label
    }
    if (rollData.type.appreciation) {
      return "fait un jet d'appéciation"
    }
    return `fait un jet ${rollData.type.opposed ? ' contre ' : ''}`
  }


  onSelect(rollData) {
    this.setDiffType(rollData, DIFF.LIBRE)
  }

}